<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td class="project-title">{{ worker.full_name }}</td>
    <td class="project-title">{{ worker.display_hired_date }}</td>
    <td class="project-actions text-right">
        <button class="btn btn-white btn-sm" @click="del( worker.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>
        <button class="btn btn-white btn-sm" 
                @click="edit( worker )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </button>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'worker',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

